<?xml version="1.0" encoding="ISO-8859-1"?>
<!DOCTYPE lire:report-spec PUBLIC
  "-//LogReport.ORG//DTD Lire Report Specification Markup Language V2.0//EN"
  "http://www.logreport.org/LRSML/2.0/lrsml.dtd">
<lire:report-spec xmlns:lire="http://www.logreport.org/LRSML/"
 superservice="print" schema="print-sheets" id="jobs-per-sheets">

 <lire:title>Number Of Jobs For Each Number Of Sheets</lire:title>

 <lire:description>
  <para>This report shows the number of jobs sorted by the
   number of sheets in them.</para>
 </lire:description>

 <lire:param-spec>
  <lire:param name="range" type="int" default="5">
   <lire:description>
    <para>This parameter controls the number of sheets into
     which the jobs are aggregated.
    </para>
   </lire:description>
  </lire:param>
 </lire:param-spec>

 <lire:display-spec>
  <lire:title>Jobs per Number of Sheets</lire:title>
 </lire:display-spec>

 <lire:report-calc-spec>
  <lire:rangegroup field="num_sheets" range-size="$range"
   size-scale="2" label="Sheets">

   <lire:count name="jobs_total" label="Jobs"/>
   <lire:count name="jobs_ratio" ratio="table" label="% Total"/>
  </lire:rangegroup>
 </lire:report-calc-spec>

</lire:report-spec>

